﻿ /* Absolute Center Spinner */
 
 .loading_Area {
     position: fixed;
     z-index: 999;
     height: 2em;
     width: 2em;
     overflow: show;
     margin: auto;
     top: 50%;
     left: 50%;
     bottom: 50%;
     right: 50%;
     /*display:none;*/
 }
 
 .BackgroundHide_Area {
     position: fixed;
     z-index: 999;
     height: 2em;
     width: 2em;
     overflow: show;
     margin: auto;
     top: 50%;
     left: 50%;
     bottom: 50%;
     right: 50%;
     /*display:none;*/
 }
 
 #Load_Msg {
     display: block;
     position: relative;
     z-index: 9999;
     width: 350px;
     top: 21px;
     margin-left: -32px;
 }
 
 #Action_timer {
     display: block;
     position: relative;
     z-index: 9999;
     width: 350px;
     top: 21px;
     margin-left: -32px;
 }
 /* Transparent Overlay */
 
 .loading_Area:before {
     content: '';
     display: block;
     position: fixed;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     background-color: #ffffff;
     opacity: 0.9;
 }
 
 .BackgroundHide_Area:before {
     content: '';
     display: block;
     position: fixed;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     background-color: #c2c2c2;
     opacity: 0.9;
 }
 /* :not(:required) hides these rules from IE9 and below */
 
 .Loading_Circle:not(:required) {
     /* hide "loading..." text */
     font: 0/0 a;
     color: transparent;
     text-shadow: none;
     background-color: transparent;
     border: 0;
 }
 
 .Loading_Circle:not(:required):after {
     content: '';
     display: block;
     font-size: 10px;
     width: 1em;
     height: 1em;
     margin-top: -0.5em;
     -webkit-animation: spinner 1500ms infinite linear;
     -moz-animation: spinner 1500ms infinite linear;
     -ms-animation: spinner 1500ms infinite linear;
     -o-animation: spinner 1500ms infinite linear;
     animation: spinner 1500ms infinite linear;
     border-radius: 0.5em;
     -webkit-box-shadow: rgba(218, 68, 12, 1) 1.5em 0 0 0, rgba(218, 68, 12, 1) 1.1em 1.1em 0 0, rgba(218, 68, 12, 1) 0 1.5em 0 0, rgba(218, 68, 12, 1) -1.1em 1.1em 0 0, rgba(218, 68, 12, 1) -1.5em 0 0 0, rgba(218, 68, 12, 1) -1.1em -1.1em 0 0, rgba(218, 68, 12, 1) 0 -1.5em 0 0, rgba(218, 68, 12, 1) 1.1em -1.1em 0 0;
     box-shadow: rgba(218, 68, 12, 1) 1.5em 0 0 0, rgba(218, 68, 12, 1) 1.1em 1.1em 0 0, rgba(218, 68, 12, 1) 0 1.5em 0 0, rgba(218, 68, 12, 1) -1.1em 1.1em 0 0, rgba(218, 68, 12, 1) -1.5em 0 0 0, rgba(218, 68, 12, 1) -1.1em -1.1em 0 0, rgba(218, 68, 12, 1) 0 -1.5em 0 0, rgba(218, 68, 12, 1) 1.1em -1.1em 0 0;
     /*-webkit-box-shadow: rgba(0, 0, 0,1) 1.5em 0 0 0, rgba(0, 0, 0,1) 1.1em 1.1em 0 0, rgba(0, 0, 0,1) 0 1.5em 0 0, rgba(0, 0, 0,1) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, rgba(0, 0, 0,1) 0 -1.5em 0 0, rgba(0, 0, 0,1) 1.1em -1.1em 0 0;
  box-shadow: rgba(0, 0, 0,1) 1.5em 0 0 0, rgba(0, 0, 0,1) 1.1em 1.1em 0 0, rgba(0, 0, 0,1) 0 1.5em 0 0, rgba(0, 0, 0,1) -1.1em 1.1em 0 0, rgba(0, 0, 0,1) -1.5em 0 0 0, rgba(0, 0, 0,1) -1.1em -1.1em 0 0, rgba(0, 0, 0,1) 0 -1.5em 0 0, rgba(0, 0, 0,1) 1.1em -1.1em 0 0;*/
 }
 /* Animation */
 
 @-webkit-keyframes spinner {
     0% {
         -webkit-transform: rotate(0deg);
         -moz-transform: rotate(0deg);
         -ms-transform: rotate(0deg);
         -o-transform: rotate(0deg);
         transform: rotate(0deg);
     }
     100% {
         -webkit-transform: rotate(360deg);
         -moz-transform: rotate(360deg);
         -ms-transform: rotate(360deg);
         -o-transform: rotate(360deg);
         transform: rotate(360deg);
     }
 }
 
 @-moz-keyframes spinner {
     0% {
         -webkit-transform: rotate(0deg);
         -moz-transform: rotate(0deg);
         -ms-transform: rotate(0deg);
         -o-transform: rotate(0deg);
         transform: rotate(0deg);
     }
     100% {
         -webkit-transform: rotate(360deg);
         -moz-transform: rotate(360deg);
         -ms-transform: rotate(360deg);
         -o-transform: rotate(360deg);
         transform: rotate(360deg);
     }
 }
 
 @-o-keyframes spinner {
     0% {
         -webkit-transform: rotate(0deg);
         -moz-transform: rotate(0deg);
         -ms-transform: rotate(0deg);
         -o-transform: rotate(0deg);
         transform: rotate(0deg);
     }
     100% {
         -webkit-transform: rotate(360deg);
         -moz-transform: rotate(360deg);
         -ms-transform: rotate(360deg);
         -o-transform: rotate(360deg);
         transform: rotate(360deg);
     }
 }
 
 @keyframes spinner {
     0% {
         -webkit-transform: rotate(0deg);
         -moz-transform: rotate(0deg);
         -ms-transform: rotate(0deg);
         -o-transform: rotate(0deg);
         transform: rotate(0deg);
     }
     100% {
         -webkit-transform: rotate(360deg);
         -moz-transform: rotate(360deg);
         -ms-transform: rotate(360deg);
         -o-transform: rotate(360deg);
         transform: rotate(360deg);
     }
 }